Package es.imim.DISGENET.tool

# Class HelperFunctions.byLineLengthDesc

java.lang.Object
es.imim.DISGENET.tool.HelperFunctions.byLineLengthDesc

All Implemented Interfaces:
  `Comparator`

Enclosing class:
  HelperFunctions

public class HelperFunctions.byLineLengthDesc extends Object implements Comparator
functions to sort string lists by line length

Author:
  michael

## Constructor Summary

Constructors
Constructor
Description
`byLineLengthDesc()`

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(Object o1, Object o2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

## Constructor Details

### byLineLengthDesc

public byLineLengthDesc()

## Method Details

### compare

public int compare(Object o1, Object o2)

Specified by:
  `compare` in interface `Comparator`